Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.util
Class Log

    java.lang.Object
      org.jivesoftware.util.Log

    public class Log

extends Object

Openfire makes use of a logging facade (slf4j) to manage its log output. The facade is backed up by Log4j by default. This class provides utility methods.

Additionally, this class provides methods that can be used to record logging statements. These methods are exact duplicates of the previous Log implementation of Openfire and are kept for backwards-compatibility (the are deprecated). These methods will delegate logging functionality to slf4j. Instead of these methods, slf4j logging functionality should be used directly.

Author:
  Guus der Kinderen, guus.der.kinderen@gmail.com
See Also:
  http://www.slf4j.org/

Constructor Summary
`Log()`

Method Summary
`static void` | `debug(String s)` Deprecated. replaced by `Logger.debug(String)`. Functionality of this method is delegated there.
`static void` | `debug(String s, Throwable throwable)` Deprecated. replaced by `Logger.debug(String, Throwable)`. Functionality of this method is delegated there.
`static void` | `debug(Throwable throwable)` Deprecated. replaced by `Logger.debug(String, Throwable)`. Functionality of this method is delegated there.
`static void` | `error(String s)` Deprecated. replaced by `Logger.error(String)`. Functionality of this method is delegated there.
`static void` | `error(String s, Throwable throwable)` Deprecated. replaced by `Logger.error(String, Throwable)`. Functionality of this method is delegated there.
`static void` | `error(Throwable throwable)` Deprecated. replaced by `Logger.error(String, Throwable)`. Functionality of this method is delegated there.
`static String` | `getLogDirectory()` Returns the directory that log files exist in.
`static void` | `info(String s)` Deprecated. replaced by `Logger.info(String)`. Functionality of this method is delegated there.
`static void` | `info(String s, Throwable throwable)` Deprecated. replaced by `Logger.info(String, Throwable)`. Functionality of this method is delegated there.
`static void` | `info(Throwable throwable)` Deprecated. replaced by `Logger.info(String, Throwable)`. Functionality of this method is delegated there.
`static boolean` | `isDebugEnabled()` Deprecated. replaced by `Logger.isDebugEnabled()`. Functionality of this method is delegated there.
`static boolean` | `isErrorEnabled()` Deprecated. replaced by `Logger.isErrorEnabled()`. Functionality of this method is delegated there.
`static boolean` | `isInfoEnabled()` Deprecated. replaced by `Logger.isInfoEnabled()`. Functionality of this method is delegated there.
`static boolean` | `isWarnEnabled()` Deprecated. replaced by `Logger.isWarnEnabled()`. Functionality of this method is delegated there.
`static void` | `markDebugLogFile(String username)`
`static void` | `markErrorLogFile(String username)`
`static void` | `markInfoLogFile(String username)`
`static void` | `markWarnLogFile(String username)`
`static void` | `rotateDebugLogFile()`
`static void` | `rotateErrorLogFile()`
`static void` | `rotateInfoLogFile()`
`static void` | `rotateWarnLogFile()`
`static void` | `setDebugEnabled(boolean enabled)`
`static void` | `warn(String s)` Deprecated. replaced by `Logger.warn(String)`. Functionality of this method is delegated there.
`static void` | `warn(String s, Throwable throwable)` Deprecated. replaced by `Logger.debug(String, Throwable)`. Functionality of this method is delegated there.
`static void` | `warn(Throwable throwable)` Deprecated. replaced by `Logger.warn(String, Throwable)`. Functionality of this method is delegated there.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Log

    public Log()

Method Detail

### isErrorEnabled

    @Deprecated
    public static boolean isErrorEnabled()

  Deprecated. replaced by `Logger.isErrorEnabled()`. Functionality of this method is delegated there.

### isDebugEnabled

    @Deprecated
    public static boolean isDebugEnabled()

  Deprecated. replaced by `Logger.isDebugEnabled()`. Functionality of this method is delegated there.

### setDebugEnabled

    public static void setDebugEnabled(boolean enabled)

### isInfoEnabled

    @Deprecated
    public static boolean isInfoEnabled()

  Deprecated. replaced by `Logger.isInfoEnabled()`. Functionality of this method is delegated there.

### isWarnEnabled

    @Deprecated
    public static boolean isWarnEnabled()

  Deprecated. replaced by `Logger.isWarnEnabled()`. Functionality of this method is delegated there.

### debug

    @Deprecated
    public static void debug(String s)

  Deprecated. replaced by `Logger.debug(String)`. Functionality of this method is delegated there.

### debug

    @Deprecated
    public static void debug(Throwable throwable)

  Deprecated. replaced by `Logger.debug(String, Throwable)`. Functionality of this method is delegated there.

### debug

    @Deprecated
    public static void debug(String s,
                                        Throwable throwable)

  Deprecated. replaced by `Logger.debug(String, Throwable)`. Functionality of this method is delegated there.

### markDebugLogFile

    public static void markDebugLogFile(String username)

### rotateDebugLogFile

    public static void rotateDebugLogFile()

### info

    @Deprecated
    public static void info(String s)

  Deprecated. replaced by `Logger.info(String)`. Functionality of this method is delegated there.

### info

    @Deprecated
    public static void info(Throwable throwable)

  Deprecated. replaced by `Logger.info(String, Throwable)`. Functionality of this method is delegated there.

### info

    @Deprecated
    public static void info(String s,
                                       Throwable throwable)

  Deprecated. replaced by `Logger.info(String, Throwable)`. Functionality of this method is delegated there.

### markInfoLogFile

    public static void markInfoLogFile(String username)

### rotateInfoLogFile

    public static void rotateInfoLogFile()

### warn

    @Deprecated
    public static void warn(String s)

  Deprecated. replaced by `Logger.warn(String)`. Functionality of this method is delegated there.

### warn

    @Deprecated
    public static void warn(Throwable throwable)

  Deprecated. replaced by `Logger.warn(String, Throwable)`. Functionality of this method is delegated there.

### warn

    @Deprecated
    public static void warn(String s,
                                       Throwable throwable)

  Deprecated. replaced by `Logger.debug(String, Throwable)`. Functionality of this method is delegated there.

### markWarnLogFile

    public static void markWarnLogFile(String username)

### rotateWarnLogFile

    public static void rotateWarnLogFile()

### error

    @Deprecated
    public static void error(String s)

  Deprecated. replaced by `Logger.error(String)`. Functionality of this method is delegated there.

### error

    @Deprecated
    public static void error(Throwable throwable)

  Deprecated. replaced by `Logger.error(String, Throwable)`. Functionality of this method is delegated there.

### error

    @Deprecated
    public static void error(String s,
                                        Throwable throwable)

  Deprecated. replaced by `Logger.error(String, Throwable)`. Functionality of this method is delegated there.

### markErrorLogFile

    public static void markErrorLogFile(String username)

### rotateErrorLogFile

    public static void rotateErrorLogFile()

### getLogDirectory

    public static String getLogDirectory()

  Returns the directory that log files exist in. The directory name will have a File.separator as the last character in the string.

  Returns:
    the directory that log files exist in.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.